.news {
  padding: 100px 0;
}
.news__wrapper {
  display: flex;
  flex-direction: column;
  gap: 32px;
}
.news__top {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}
.news__top h3 {
  font-family: e-Ukraine;
  font-weight: 400;
  font-style: Regular;
  font-size: 32px;
  leading-trim: NONE;
  line-height: 46px;
  letter-spacing: 0%;
  vertical-align: middle;
  color: #444444;
}

.all-news {
  font-family: e-Ukraine;
  font-weight: 400;
  font-style: Regular;
  font-size: 15.88px;
  text-decoration: none;
  leading-trim: NONE;
  line-height: 20px;
  letter-spacing: -0.32px;
  vertical-align: middle;
  color: #3a8bce;
  border-radius: 200px;
  border: 2px solid #3a8bce;
  padding: 16px 52px;
  transition: all 0.3s ease-in-out;
}
.all-news:hover {
  background: #3a8bce;
  color: white;
}

.news__section-wrapper {
  display: flex;
  flex-direction: row;
  gap: 32px;
}
.news-item {
  max-width: calc(25% - 24px);
  display: flex;
  width: 100%;
  flex-direction: column;
  gap: 24px;
}
.news-item .img-wrapper {
  width: 100%;
  height: 232px;
}
.news-item .img-wrapper img {
  object-fit: cover;
  width: 100%;
  height: 100%;
  border-radius: 12px;
}
.news-item .desc {
  display: flex;
  flex-direction: column;
  gap: 11px;
}
.news-item__info {
  display: flex;
  flex-direction: column;
  gap: 4px;
}
.news-date {
  font-family: e-Ukraine;
  font-weight: 400;
  font-style: Regular;
  font-size: 12px;
  leading-trim: NONE;
  line-height: 22px;
  letter-spacing: 0px;
  text-align: left;
  vertical-align: middle;
  color: #444444;
}
.news-short__info {
  font-family: e-Ukraine;
  font-weight: 400;
  font-style: Regular;
  font-size: 14px;
  leading-trim: NONE;
  line-height: 27px;
  letter-spacing: 0px;
  vertical-align: middle;
  color: #444444;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

@media screen and (max-width: 1024px) {
  .news {
    padding: 32px 0;
  }
  .news__wrapper {
    gap: 24px;
  }

  .news__top h3 {
    font-size: 24px;
  }

  .all-news {
    padding: 14px;
  }

  .news__section-wrapper {
    display: flex;
    flex-direction: column;
    gap: 24px;
  }
  .news-item {
    max-width:100%;
    display: flex;
    flex-direction: column;
    gap: 12px;
  }
  .news-item .img-wrapper {
    height: 180x;
  }
  .news-item .desc {
    gap: 8px;
  }
}
